# -*- mode: yaml; indent-tabs-mode: nil; tab-width: 2; coding: utf-8-unix -*-

---

# , 'lxd' 'vagrant'
TOXCORE_FEATURES: ['libvirt'] # 'docker', 'packer'

toxcore_system_users:   "{{ base_system_users }}"
toxcore_also_users: "{{ base_also_users }}"

toxcore_libvirt_services:
  - libvirtd

toxcore_debs_inst:
  - python-yaml
  - gparted
  - libvncserver
  - ebtables
  - dnsmasq-base
  # vagrant-libvirt/README.md
  - libxslt-dev
  - libxml2-dev
  - zlib1g-dev
  - iptables
  - zstd
  - ebtables
  - bridge-utils
  - sdparm
  - hdparm
  - libxml2
  - sdparm
  - hdparm
  - libxml2
  - zerofree
  - openssh-sftp-server
  - sshfs
  - xmlstarlet
  - libtss2-tcti-swtpm0
# toxcore
  - libconfig-dev
  - libgtest-dev
  - ninja-build
  - pkg-config
  - zip
  - grep
  - file
  - ca-certificates
  - autotools-dev
  - autoconf
  - automake
  - git
  - bc
  - wget
  - rsync
  - cmake
  - make
  - pkg-config
  - libtool
  - ssh
  - gzip
  - tar
  - unzip
  - libcurl4-gnutls-dev
  - coreutils
  - libavutil-dev
  - libsodium-dev
  - libffms2-4
  - libgpac10
  - libx264-dev
  - x264
  - libv4lconvert0
  - libv4l-dev
  - libv4l-dev
  - libv4l2rds0
  - v4l-conf
  - v4l-utils
  - libv4l-dev
  - libtool
  - autotools-dev
  - automake
  - checkinstall
  - check
  - git
  - yasm
  - libv4lconvert0
  - libv4l-dev
  - libopus-dev
  - libvpx-dev
  - pkg-config
  - libx264-dev
  - libavcodec-dev
  - libavdevice-dev

toxcore_lxd_debs_absent:
  - lxd
  - lxd-client
  - lxcfs
  - liblxc1
  - liblxc-common

toxcore_lxd_pkgs_inst:
  - lxcfs
#  - lxd
#  - lxd-client
  - zfsutils-linux
# or snapd

toxcore_qemu_debs_inst:
  - qemu-kvm

toxcore_libvirt_debs_inst:
#?  - libvirt
  - libvirt-bin
  - libvirt-dev
  - virt-manager
  - libguestfs
  - libguestfs-tools
  # OUCH 4G!
#  - libguestfs-appliance
  - python-libvirt
  - qemu

toxcore_virtualbox_debs_inst:
  - virtualbox
  - virtualbox-modules
  - virtualbox-ext-pack
# virtualbox bridged networking

toxcore_packer_debs_inst:
  - jq

toxcore_docker_debs_inst:
  - aufs-tools
  - cgroup-lite
  - libsystemd-journal0
  - linux-image-extra-virtual
  - docker.io

toxcore_ansible_debs_inst:
  - jinja
  - pycrypto
  - paramiko
  - python-ecdsa
  - python-httplib2
  - python-jinja2
  - python-markupsafe
  - python-paramiko

toxcore_aws_debs_inst:
# for aws
  - boto
  - bs4
  - requests_ntlm
  - awscli

